import React from 'react';
import { Link } from "gatsby";

export const Navbar = () => {
    const navbarStyle = {
        display: 'flex',
        justifyContent: 'space-between',
        alignItems: 'center',
        padding: '10px 20px',
        backgroundColor: '#333',
        color: 'white',
        position: 'fixed', // Ensures the navbar stays at the top
        top: 0,
        left: 0,
        width: '100%',
        zIndex: 1000, // Makes sure the navbar stays on top
    };

    const leftStyle = {
        fontSize: '20px',
        fontWeight: 'bold',
    };

    const rightStyle = {
        display: 'flex',
        gap: '20px',
    };

    const linkStyle = {
        color: 'white',
        textDecoration: 'none',
        fontSize: '16px',
    };

    const linkHoverStyle = {
        textDecoration: 'underline',
    };

    return (
        <nav style={navbarStyle}>
            <div style={leftStyle}>
                {/* Make the "TSP Visualization" clickable */}
                <Link to="/" style={linkStyle}>
                    TSP Visualization
                </Link>
            </div>
            <div style={rightStyle}>
                <Link 
                    to="/about" 
                    style={linkStyle} 
                    onMouseOver={(e) => e.target.style.textDecoration = 'underline'} 
                    onMouseOut={(e) => e.target.style.textDecoration = 'none'}>
                    About
                </Link>
                <Link 
                    to="/source-code" 
                    style={linkStyle} 
                    onMouseOver={(e) => e.target.style.textDecoration = 'underline'} 
                    onMouseOut={(e) => e.target.style.textDecoration = 'none'}>
                    Source Code
                </Link>
            </div>
        </nav>
    );
};
